#!/usr/bin/perl
#
#
#
#
# junct_1 junct_2

open($in,"<",shift@ARGV); #junc_1
while(<$in>){
	chomp;
	my @m = split(/\t/);
	$key = "$m[0]:$m[1]:$m[2]";
	$n = scalar @m;
	$juncs_1{$key} = $m[$n-1];
}

open($in,"<",shift@ARGV); #junc_2
while(<$in>){
	chomp;
	my @m = split(/\t/);
	$key = "$m[0]:$m[1]:$m[2]";
	$n = scalar @m;
	$juncs_2{$key} = $m[$n-1];
}

close($in);

open(OUT_MAX,">merge_max");
open(OUT_MIN,">merge_min");
open(OUT_MEAN,">merge_mean");

foreach $key (sort keys %{juncs_1})
{
	@t = split(/:/,$key);
	
	$prob_max = $juncs_1{$key} > $juncs_2{$key} ? $juncs_1{$key} : $juncs_2{$key};
	$prob_min = $juncs_1{$key} > $juncs_2{$key} ? $juncs_2{$key} : $juncs_1{$key};
	$prob_mean = 0.5 * ( $juncs_1{$key} + $juncs_2{$key} );

	print OUT_MAX $t[0],"\t",$t[1],"\t",$t[2],"\t", $prob_max,"\n";
	print OUT_MIN $t[0],"\t",$t[1],"\t",$t[2],"\t", $prob_min,"\n";
	print OUT_MEAN $t[0],"\t",$t[1],"\t",$t[2],"\t", $prob_mean,"\n";
}

close(OUT_MAX);
close(OUT_MIN);
close(OUT_MEAN);
