#!/usr/bin/perl
#
#
#

$name = shift@ARGV;
open($in,"<",$name); #SJS
while(<$in>){
	chomp;
	$line = $_;
	@m = split(/\s+/);
	push @{$junc{$m[0]}},[$m[1],$m[2],$m[3],$line];
}

$name_cano = $name . "_cano";
$name_noncano = $name . "_noncano";

open(OUT_CANO,">$name_cano");
open(OUT_NONCANO,">$name_noncano");

$chr = "";
open($in,"<",shift@ARGV);#ref DNA sequence
while(<$in>){
	chomp;
	if(substr($_,0,1) eq ">"){
		$temp = $chr;
		if($temp ne ""){
			for($i = 0; $i < scalar @{$junc{$temp}}; $i++){
				$f = substr($hash{$temp}, $junc{$temp}[$i][0]-1, 2);
				$e = substr($hash{$temp}, $junc{$temp}[$i][1]-3 , 2);
				$f =~ tr/a-z/A-Z/;
				$e =~ tr/a-z/A-Z/;

				if($f eq "GT" && $e eq "AG" || $f eq "CT" && $e eq "AC"){
					$flag = 1;
					print OUT_CANO $junc{$temp}[$i][3] . "\n";
				}
				else {
					$flag = 0;
					print OUT_NONCANO "$junc{$temp}[$i][3]\n";
				}

			}
			delete $hash{$temp};
		}
		@c = split(/\s+/,$_); #in case of blank in chr line;
		$chr = substr($c[0],1);
		next;
	}
	$hash{$chr} .= $_;
}

$temp = $chr;
for($i = 0; $i < scalar @{$junc{$temp}}; $i++){
	$f = substr($hash{$temp}, $junc{$temp}[$i][0]-1, 2);
	$e = substr($hash{$temp}, $junc{$temp}[$i][1]-3 , 2);
	$f =~ tr/a-z/A-Z/;
	$e =~ tr/a-z/A-Z/;
	if($f eq "GT" && $e eq "AG" || $f eq "CT" && $e eq "AC"){
		$flag = 1;
		print OUT_CANO "$junc{$temp}[$i][3]\n";
	}
	##elsif(($f eq "GC" && $e eq "AG") || ($f eq "CT"&& $e eq "GC") || ($f eq "AT"&& $e eq "AC") || ($f eq "GT"&& $e eq "AT")){
	##	$flag = 2;
	##}
	else {
		$flag = 0;
		print OUT_NONCANO "$junc{$temp}[$i][3]\n";
	}
}

close($out_cano);
close($out_noncano);
