#!/usr/bin/perl
#
#
$length = shift@ARGV;

## SJS file
open($sjs,"<",shift@ARGV);
while(<$sjs>){
	@m = split(/\s+/);
	$t = "$m[0]:$m[1]:$m[2]";
	$cano_hash{$t} = $m[3];
}
close($sjs);

## Bowtie BWT output file
open($in,"<",shift@ARGV);
#open($out,">keys");

while(<$in>){
	@m = split(/\s+/);
	@k = split(/:/,$m[2]);
	$chr = $k[0];
	$L = 0;
	$flag1 = 0;
	$CIGAR="";
	for($i = 1; $i <= ($#k-1)/2; $i++){
		$temp = $L;
		$L += $k[$i*2] - $k[$i*2-1];
		if($m[3] < $L && $flag1 == 0){
			$pos = $m[3] - $temp + $k[$i*2-1];
			$CIGAR=($L - $m[3])."M".($k[$i*2+1] - $k[$i*2])."N";
			$flag1 = 1;
			next;
		
		}
		if($m[3] + $length > $L && $flag1 == 1){
			$CIGAR.=($k[$i*2] - $k[$i*2-1])."M".($k[$i*2+1] - $k[$i*2])."N";
		}
		if($m[3] + $length <= $L && $flag1 == 1){
			
			$CIGAR.=($m[3]+$length-$temp)."M";
			last;
		}
	}
#	$hash{$m[0]}{$chr}{$pos}

	## ori
	if ($m[1] eq "+") {
		$ori = 0;
	}
	else {
		$ori = 16;
	}
	
	## mismatches
	if (length($m[7])==0) {
		$mis = 0;
	}
	else {
		$mis = ($m[7] =~ tr/,//) + 1;
	}
	
	@k = split(/M|N/,$CIGAR);
	$p = $pos;
	$b = $p + $k[0];
	$e = $b + $k[1];
	$key = "$chr:$b:$e";
	$cano = $cano_hash{$key};
	
#	print $out "$chr\t$b\t$e\t$cano\n";
	

	#print $m[0],"\t", $m[1],"\t",$chr,"\t",$pos,"\t",$CIGAR, "\t",$k[$#k],"\t",$m[4],"\t",$m[5],"\ttag","\n";
	print $m[0],"\t", $ori,"\t",$chr,"\t",$pos,"\t255\t",$CIGAR,"\t",$cano,"\t",$mis,"\t1\t",$m[4],"\t",$m[5],"\ttag","\n";
}

#close($out);



