
#include <string>


class cOptions
{
public:
	cOptions()
	{
		m_bVerbose = false;
		m_bRnaFormat = false;
		m_bGtfFormat = false;
		m_bOiFormat = false;
		m_bJunc = false;
		m_bJuncTabOnly = false;
		m_bSqlFormat = false;
		m_bCcdsSqlFormat = false;
		m_bHuman = false;
		m_bJuncStrand = false;
		
		m_nOff1 = 0;
		m_nOff2 = 0;

		m_bSpliceSites = false;

		m_gcBias = 0;

		m_bMetricsOnly = false;

		m_bClean = false;

		m_nLinesPerBlock = 1000000;
		m_nCodFlank = 81;

		m_scoreThresh = 0.5;

		m_nGcStart = 20;
	};
	~cOptions() {  };

	bool parseOptions(int argc, const char** argv);

public:
	// just make everything accessible for now

	// options
	bool m_bVerbose;
	bool m_bRnaFormat;
	bool m_bGtfFormat;
	bool m_bOiFormat;
	bool m_bJunc, m_bJuncTabOnly;
	bool m_bSqlFormat;
	bool m_bCcdsSqlFormat;
	bool m_bHuman;

	bool m_bMetricsOnly;
	bool m_bClean;
	bool m_bSpliceSites;

	bool m_bJuncStrand;

	int m_nLinesPerBlock;
	int m_nCodFlank;

	int m_nOff1, m_nOff2;

	int m_nGcStart;
	int m_gcBias;

	double m_scoreThresh;
	
	std::string m_samInFile;
	std::string m_orgInFile;
	std::string m_juncInFile;
	std::string m_scoreInFile;
	std::string m_seqInFile;
	std::string m_multiInFile;

	std::string m_gffCallsFile;

	std::string m_refPrefix;

	// optional gff file
	std::string m_gffInFile;

	std::string m_orgOutFile;

	// HMM model directory
	std::string m_modInDir;

	// output score file
	std::string m_scoreOutFile;
};
