
#pragma once

#include<string>
using std::string;


typedef struct tagGffStruct
{
	string	strName;
	string	strSource;
	string	strFeature;
	int		ibeg;
	int		iend;
	string	strScore;
	char	chStrand;
	string	strFrame;
	string	strRemainder;

	string	strId;
	string	strNameTag;
	vector<string>	vstrParent;
	string	strComment;
	int		iFamily;
	bool	bDeleted;
	bool	bShortFeature;

//	geneQuality conGene;
//	exonQuality conExon;
} gffStruct;


//// introns for gapped alignments
//typedef struct tagIntron
//{
//	string strId;
//	int nContig;
//	int nIntronsInGene;		// how many introns in this gene (isoform)?
//	int ixIntron;			// which intron in the gene is this (index)
//	int posAtg, posStp;		// position of intron starting point, relative to CDS start and stop
//	int ibeg;
//	int iend;
//	int iframe;			// {0, 1, 2, 3 (non-coding), -1 (unknown)}
//	int flankLeft;
//	int flankRight;
//	int iStrand;
//	int gc;
//	int iJcnType;			// GT_AG, GC_AG, etc
//	int iIntronType;		// CDS (0,1,2), UTR
//	int nCoverage;
//	string don;
//	string acc;
//	unsigned int extr_L;
//	unsigned int extr_R;
//	unsigned int extr_I;
//	int nFpL, nFpR;			// classification of left and right side of a false positive
//} sIntron;
