//**************************************************
// file:    report.h
// project: probuild
//          alex lomsadze
//**************************************************
//#ifndef __REPORT_H__
//#define __REPORT_H__

#pragma once

#include <iostream>
#include <fstream>
#include <string>
#include <list>
#include <map>
#include <sstream>

using namespace std;

//--------------------------------------------------
class Report
{
public:

	list<string> request;

	void Submit( const string& key, const string& comment, const string& value );
	void Submit( const string& key, const string& comment, int i );
	bool PrintOut( const string& name );
	bool PrintOut( const string& name, bool app );

private:

	bool mode;

	map< string,pair<string,string> > result;

	bool CheckReport( list<string>& request );
	void PrintSelected( list<string>& request, const string& name );
	void PrintAll( const string& name );
};
//--------------------------------------------------
//#endif // __REPORT_H__
