#!/usr/bin/perl
#
#
#

use FindBin qw($Bin);

$P = shift@argv;
$P = $P || 1;

print "svmTrainTest: using $P threads\n";

use Parallel::ForkManager;

my @log_gamma = (-10, -9, -8, -7, -6, -5, -4, -3, -2, -1, 0, 1);
#my @log_gamma = (-10, -9, -8, -7, -6, -5, -4, -3, -2, -1, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10);
#my @log_c = (-10, -9, -8, -7, -6, -5, -4, -3, -2, -1, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10);

for ($ig=0; $ig<scalar(@log_gamma); ++$ig)
{
	$gamma = exp( $log_gamma[$ig] );
	
	$pm=new Parallel::ForkManager( $P );
	#for ($ic=0; $ic<scalar(@log_c); ++$ic)
	for ($ic=0; $ic<7; ++$ic)
	{
		my $pid = $pm->start and next;
		
		$log_c = $log_gamma[$ig] + 9 - 2*$ig + $ic;
		$c = exp( $log_c );
		#$c = exp( $log_c[$ic] );
		$cmd = "$Bin/svm-train -b 1 -c $c -g $gamma ../training.scaled mod_" . "$ig" . "_$ic.model";
		print "$cmd\n";
		system( $cmd );
		
		$pm->finish;
	}
	$pm->wait_all_children;

}
